// pages/donationDetail/donationDetail.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    donationDat:null,
    userDonationList:[],
    value1:'',
    value2:'',
    juankuanshow:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    var config = wx.getStorageSync('config');
    //获取详细信息
    wx.request({
      url: app.url + 'ajax_get_donation_event_detail.php',
      data: {
        unionId: config.unionId,
        eventId:1
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          that.setData({
            donationDat: res.data.result.donationDat,
            userDonationList: res.data.result.userDonationList
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  changeinp1(event){
    this.setData({
      value1: event.event.detail.value
    })
  },
  changeinp2(event) {
    this.setData({
      value2: event.event.detail.value
    })
  },

  //取消捐款
  cancelDonation(){
    this.setData({
      juankuanshow:0
    })
  },

  //显示捐款对话框
  donationAction(){
    this.setData({
      juankuanshow: 1
    })
  },

  //捐款支付
  donationPay(){
    var that=this;
    wx:wx.navigateTo({
      url: '../userDonation/userDonation?money='+that.data.value1+'&comment='+that.data.value2
    })
  }
})